Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jsynedit
Class JSyneditInputHandler

    java.lang.Object
      java.awt.event.KeyAdapter
          jedit.InputHandler
              jsynedit.JSyneditInputHandler

All Implemented Interfaces:
  java.awt.event.KeyListener, java.util.EventListener

    public class JSyneditInputHandler

extends InputHandler

The default input handler. It maps sequences of keystrokes into actions and inserts key typed events into the text area.

Version:
  $Id: JSyneditInputHandler.java,v 1.1 2004/05/05 10:44:27 jferber Exp $
Author:
  Slava Pestov

Nested Class Summary
`class` | `JSyneditInputHandler.ActionCommand`

Nested classes/interfaces inherited from class jedit.InputHandler
`InputHandler.backspace, InputHandler.backspace_word, InputHandler.delete, InputHandler.delete_word, InputHandler.document_end, InputHandler.document_home, InputHandler.end, InputHandler.home, InputHandler.insert_break, InputHandler.insert_char, InputHandler.insert_tab, InputHandler.MacroRecorder, InputHandler.next_char, InputHandler.next_line, InputHandler.next_page, InputHandler.next_word, InputHandler.NonRecordable, InputHandler.NonRepeatable, InputHandler.overwrite, InputHandler.prev_char, InputHandler.prev_line, InputHandler.prev_page, InputHandler.prev_word, InputHandler.repeat, InputHandler.toggle_rect, InputHandler.Wrapper`

Field Summary

Fields inherited from class jedit.InputHandler
`BACKSPACE, BACKSPACE_WORD, DELETE, DELETE_WORD, DOCUMENT_END, DOCUMENT_HOME, END, grabAction, HOME, INSERT_BREAK, INSERT_CHAR, INSERT_TAB, NEXT_CHAR, NEXT_LINE, NEXT_PAGE, NEXT_WORD, OVERWRITE, PREV_CHAR, PREV_LINE, PREV_PAGE, PREV_WORD, recorder, repeat, REPEAT, repeatCount, SELECT_DOC_END, SELECT_DOC_HOME, SELECT_END, SELECT_HOME, SELECT_NEXT_CHAR, SELECT_NEXT_LINE, SELECT_NEXT_PAGE, SELECT_NEXT_WORD, SELECT_PREV_CHAR, SELECT_PREV_LINE, SELECT_PREV_PAGE, SELECT_PREV_WORD, SMART_HOME_END_PROPERTY, TOGGLE_RECT`

Constructor Summary
`JSyneditInputHandler()` Creates a new input handler with no key bindings defined.

Method Summary
`void` | `addDefaultKeyBindings()` Sets up the default key bindings.
`void` | `addKeyBinding(java.lang.String keyBinding, java.awt.event.ActionListener action)` Adds a key binding to this input handler.
`void` | `addKeyBinding(java.lang.String keyBinding, java.awt.event.ActionListener action, java.lang.String cmd)`
`InputHandler` | `copy()` Returns a copy of this input handler that shares the same key bindings.
`void` | `keyPressed(java.awt.event.KeyEvent evt)` Handle a key pressed event.
`void` | `keyTyped(java.awt.event.KeyEvent evt)` Handle a key typed event.
`static javax.swing.KeyStroke` | `parseKeyStroke(java.lang.String keyStroke)` Converts a string to a keystroke.
`void` | `removeAllKeyBindings()` Removes all key bindings from this input handler.
`void` | `removeKeyBinding(java.lang.String keyBinding)` Removes a key binding from this input handler.

Methods inherited from class jedit.InputHandler
`executeAction, getAction, getActionName, getActions, getMacroRecorder, getRepeatCount, getTextArea, grabNextKeyStroke, handleGrabAction, isRepeatEnabled, setMacroRecorder, setRepeatCount, setRepeatEnabled`

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSyneditInputHandler

    public JSyneditInputHandler()

  Creates a new input handler with no key bindings defined.

Method Detail

### addDefaultKeyBindings

    public void addDefaultKeyBindings()

  Sets up the default key bindings.

  Specified by:
    `addDefaultKeyBindings` in class `InputHandler`

### addKeyBinding

    public void addKeyBinding(java.lang.String keyBinding,
                              java.awt.event.ActionListener action)

  Adds a key binding to this input handler. The key binding is a list of white space separated key strokes of the form [modifiers+]key where modifier is C for Control, A for Alt, or S for Shift, and key is either a character (a-z) or a field name in the KeyEvent class prefixed with VK_ (e.g., BACK_SPACE)

  Specified by:
    `addKeyBinding` in class `InputHandler`
  Parameters:
    `keyBinding` - The key binding
    `action` - The action

### addKeyBinding

    public void addKeyBinding(java.lang.String keyBinding,
                              java.awt.event.ActionListener action,
                              java.lang.String cmd)

  Overrides:
    `addKeyBinding` in class `InputHandler`

### removeKeyBinding

    public void removeKeyBinding(java.lang.String keyBinding)

  Removes a key binding from this input handler. This is not yet implemented.

  Specified by:
    `removeKeyBinding` in class `InputHandler`
  Parameters:
    `keyBinding` - The key binding

### removeAllKeyBindings

    public void removeAllKeyBindings()

  Removes all key bindings from this input handler.

  Specified by:
    `removeAllKeyBindings` in class `InputHandler`

### copy

    public InputHandler copy()

  Returns a copy of this input handler that shares the same key bindings. Setting key bindings in the copy will also set them in the original.

  Specified by:
    `copy` in class `InputHandler`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent evt)

  Handle a key pressed event. This will look up the binding for the key stroke and execute it.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Overrides:
    `keyPressed` in class `java.awt.event.KeyAdapter`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent evt)

  Handle a key typed event. This inserts the key into the text area.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Overrides:
    `keyTyped` in class `java.awt.event.KeyAdapter`

### parseKeyStroke

    public static javax.swing.KeyStroke parseKeyStroke(java.lang.String keyStroke)

  Converts a string to a keystroke. The string should be of the form modifiers+shortcut where modifiers is any combination of A for Alt, C for Control, S for Shift or M for Meta, and shortcut is either a single character, or a keycode name from the `KeyEvent` class, without the `VK_` prefix.

  Parameters:
    `keyStroke` - A string description of the key stroke

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.